.c-labels-list {
  display: flex;
  flex-direction: column;
  padding-bottom: 5rem;

  @include md {
    padding-bottom: 5rem;
  }

  @include lg {
    padding-bottom: 10rem;
  }

  &__filters {
    position: relative;

    &__container {
      display: flex;
      flex-direction: row;
      flex-wrap: wrap;
      gap: 1rem 2rem;
      width: 100%;
      margin: 0 auto;
      padding: 3rem 2rem;

      @include md {
        padding: 5rem;
      }
  
      @include lg {
        padding: 5rem 10rem;
        max-width: 144rem;
      }
  
      @include xl {
        max-width: 170rem;
      }
    }

    &__item {
      display: block;
      padding: 1.5rem 3rem;
      background-color: transparent;
      border: 0.1rem solid $blue;
      border-radius: 5rem;
      color: $blue;
      text-transform: uppercase;
      font-size: 1.2rem;
      cursor: pointer;
      transition: all 0.2s ease-in-out;

      &:hover,
      &--active {
        background-color: $blue;
        color: $white;
      }
    }

    &::before {
      content: '';
      display: block;
      position: absolute;
      bottom: 0;
      left: 0;
      width: 100%;
      height: 0.1rem;
      background: linear-gradient(89.84deg, $blue -0.53%, $cyan 99.86%);
    }
  }
}


.c-label-item {
  position: relative;

  &::before {
    content: '';
    display: block;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 0.1rem;
    background: linear-gradient(89.84deg, $blue -0.53%, $cyan 99.86%);
  }

  &__container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin: 0 auto;
    width: 100%;
    padding: 3rem 2rem;

    @include md {
      padding: 5rem;
    }

    @include lg {
      padding: 5rem 10rem;
      max-width: 144rem;
    }

    @include xl {
      max-width: 170rem;
    }
  }

  &__content {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    gap: 1rem 1.5rem;

    @include md {
      gap: 1rem 3rem;
      width: 60%;
    }
  
    @include lg {
      width: 50%;
    }

    &__title {
      display: block;
      color: $blue;
      font-family: $font-light;
      font-weight: 300;
      font-size: 2.8rem;
      line-height: 4.5rem;
      letter-spacing: -0.1rem;

      @include md {
        font-size: 4.8rem;
        line-height: 6.5rem;
        letter-spacing: -0.2rem;
      }
    }

    &__category {
      display: block;
      padding: .8rem 1.2rem;
      background-color: transparent;
      border: 0.1rem solid $blue;
      border-radius: 5rem;
      color: $blue;
      text-transform: uppercase;
      font-size: 1.1rem;

      @include md {
        font-size: 1.2rem;
        padding: 1rem 1.5rem;
      }
    }
    
    &__subtitle {
      display: block;
      width: 100%;
      font-size: 1.8rem;

      @include md {
        font-size: 2.4rem;
      }
    }

    &__text {
      display: block;
      width: 100%;
      font-size: 1.4rem;
    }

    &__link {
      display: inline-flex;
      margin-top: 3rem;
      text-transform: uppercase;
    }
  }

  &__visual {
    display: none;
    align-items: center;
    justify-content: center;
    width: 27rem;
    height: 16.5rem;
    padding: 2rem 3rem;
    background-color: $white;
    border: 0.1rem solid #E6E6E6;
    border-radius: 0.5rem;
    transform: translate(1rem, 1rem);
    transition: opacity 0.2s ease, 0.6s ease-in-out transform;

    @include md {
      display: flex;
    }

    &__img {
      width: auto;
      height: auto;
      max-width: 14rem;
      max-height: 12rem;
    }
  }
}